package com.njcn.cssystem.enums;

import lombok.Getter;

/**
 * @author xuyang
 * @version 1.0.0
 * @date 2023年04月17日 10:50
 */
@Getter
public enum CsSystemResponseEnum {

    /**
     * A0301 ~ A0399 用于治理系统模块的枚举
     * <p>
     */
    DICT_REPEAT("A0301","字典数据重复!"),
    SAME_DATA_ERROR("A0301","数据重复"),

    CS_SYSTEM_COMMON_ERROR("A00302","治理系统模块异常"),
    BIND_TARGET_ERROR("A00601","指标参数绑定异常"),

    ;

    private final String code;

    private final String message;

    CsSystemResponseEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }

}
